Subject: [bug#32332] [PATCH 1/4] gnu: Add hashcat.

From: Leo Famulari <[email-masked]>
Date: Mon, 13 Aug 2018 11:01:35 -0400

On Tue, Jul 31, 2018 at 12:14:35PM +0200, Pierre Neidhardt wrote:
> * gnu/packages/password-utils.scm (hashcat): New variable.

Overall LGTM!

> +    (synopsis "Advanced password recovery utility")
> +    (description "Hashcat is an advanced password recovery utility, supporting
> +five unique modes of attack for over 200 highly-optimized hashing algorithms.
> +Hashcat currently supports CPUs, GPUs, and other hardware accelerators on
> +Linux, Windows, and macOS, and has facilities to help enable distributed
> +password cracking.")

We can drop the word "advanced" here. The documentation on Synopses and
Descriptions specifically requests that we omit "marketing phrases".